DFINITY:JS代理库出现安全问题,建议升级到V1.0.1最新版本

2月21日消息,据 Dfinity ICP 开发者账号披露,目前 JS 代理库出现严重安全问题,如果使用 JavaScript 代理包在 ICP 构建 dApp,需确保更新到最新版本。据悉,当未提供种子值时,agent-js 存储库会使用安全随机性生成密钥。然而,Dfinity 最近进行了一项更改,导致任何不带参数调用 Ed25519KeyIdentity.generate()的用户会受到影响。目前,Dfinity v1.0.1 中已针对软件包提供了漏洞补丁,建议开发人员立即升级并部署修复程序。

上一篇:

下一篇:

发表回复

登录后才能评论
微信扫一扫
tiktok
百度扫一扫
抖音扫一扫

订阅AptosNews

订阅AptosNews,掌握Aptos一手资讯。


窗口将关闭与 20

本站没有投资建议,投资有风险,入市需谨慎。